# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Path.pm) perl(File/Share.pm) perl(File/Spec/Unix.pm) perl(FindBin.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(base.pm) perl(if.pm) pkgconfig(x11)
# END SourceDeps(oneline)
%define module_name App-PerlXLock
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt4
Summary: A simple X locking utility.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FI/FINNPERL/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
A X11 locking utility. plock turns the screen black and waits for a key press. If /etc/shadow
is not accessible and PLOCK_PASSWORD is not set, plock terminates after pressing return. If /etc/shadow
is found to be readable, then it waits until the user has typed his password and pressed return. 

In case of mistyping the password, simply retype as plock detects once the correct password
appears in the buffer.

The module uses libX11, which must be installed prior to installing this module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changelog
%perl_vendor_archlib/A*
%perl_vendor_autolib/*
%_bindir/*
%_man1dir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.08-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.08-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt1.1
- rebuild with perl 5.28.1

* Wed Jan 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

